Analytics
List AI traffic pages
Pages visited from AI assistants in Google Analytics 4, ranked with their change versus the previous period and paged by offset in memory. Other traffic is never returned. Live Google read for the inclusive start..end range (at most the configured maximum, 486 days by default; end at most today in UTC). May refresh the site’s Google access token. Charged to the analytics rate budget.
GET
/
profiles
/
{profile_id}
/
analytics
/
ai-traffic
/
pages
Error
A valid request URL is required to generate request examples{
"data": {
"period": {
"start": "2023-12-25",
"end": "2023-12-25"
},
"comparison_period": {
"start": "2023-12-25",
"end": "2023-12-25"
},
"source": "all",
"total_count": 123,
"total_ai_page_views": 123,
"limit": 123,
"offset": 123,
"pages": [
{
"url": "<string>",
"path": "<string>",
"rank": 2,
"rank_change": 123,
"ai_page_views": 123,
"sources": {
"gemini": 123,
"perplexity": 123,
"chatgpt": 123,
"claude": 123,
"grok": 123,
"copilot": 123
},
"active_users": 123,
"variation_percent": 123,
"is_new": true,
"is_lost": true,
"sorank_generated": true
}
]
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pagination": {
"limit": 50,
"has_more": true,
"next_cursor": "<string>"
},
"catalog": {
"available_count": 1,
"enriched_count": 1,
"truncated": true
}
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}Authorizations
OAuth2PersonalAPIKey
Path Parameters
Query Parameters
⌘I
Error
A valid request URL is required to generate request examples{
"data": {
"period": {
"start": "2023-12-25",
"end": "2023-12-25"
},
"comparison_period": {
"start": "2023-12-25",
"end": "2023-12-25"
},
"source": "all",
"total_count": 123,
"total_ai_page_views": 123,
"limit": 123,
"offset": 123,
"pages": [
{
"url": "<string>",
"path": "<string>",
"rank": 2,
"rank_change": 123,
"ai_page_views": 123,
"sources": {
"gemini": 123,
"perplexity": 123,
"chatgpt": 123,
"claude": 123,
"grok": 123,
"copilot": 123
},
"active_users": 123,
"variation_percent": 123,
"is_new": true,
"is_lost": true,
"sorank_generated": true
}
]
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pagination": {
"limit": 50,
"has_more": true,
"next_cursor": "<string>"
},
"catalog": {
"available_count": 1,
"enriched_count": 1,
"truncated": true
}
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}
